Package be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1

# Enum Class EndReasonType

java.lang.Object
java.lang.Enum<EndReasonType>
be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1.EndReasonType

All Implemented Interfaces:
  `Serializable`, `Comparable<EndReasonType>`, `java.lang.constant.Constable`

public enum EndReasonType extends Enum<EndReasonType>
Reden einde opname

Java class for EndReasonType

.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="EndReasonType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="DECEASED"/>
         <enumeration value="LEFT_TO_WZC"/>
         <enumeration value="LEFT_TO_CVK"/>
         <enumeration value="LEFT_TO_DVC"/>
         <enumeration value="LEFT_TO_CLINIC"/>
         <enumeration value="LEFT_TO_PVT"/>
         <enumeration value="LEFT_TO_IBW"/>
         <enumeration value="LEFT_TO_HOME"/>
         <enumeration value="TEMPORARY_ABSENCE_MORE_THAN_72H"/>
         <enumeration value="OTHER_REASON"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DECEASED`
  `LEFT_TO_CLINIC`
  `LEFT_TO_CVK`
  `LEFT_TO_DVC`
  `LEFT_TO_HOME`
  `LEFT_TO_IBW`
  `LEFT_TO_PVT`
  `LEFT_TO_WZC`
  `OTHER_REASON`
  `TEMPORARY_ABSENCE_MORE_THAN_72_H`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static EndReasonType`
  `fromValue(String v)`
  Gets the enum associated to the value passed as parameter.
  `String`
  `value()`
  Gets the value associated to the enum constant.
  `static EndReasonType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static EndReasonType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DECEASED

    public static final EndReasonType DECEASED

  - ### LEFT_TO_WZC

    public static final EndReasonType LEFT_TO_WZC

  - ### LEFT_TO_CVK

    public static final EndReasonType LEFT_TO_CVK

  - ### LEFT_TO_DVC

    public static final EndReasonType LEFT_TO_DVC

  - ### LEFT_TO_CLINIC

    public static final EndReasonType LEFT_TO_CLINIC

  - ### LEFT_TO_PVT

    public static final EndReasonType LEFT_TO_PVT

  - ### LEFT_TO_IBW

    public static final EndReasonType LEFT_TO_IBW

  - ### LEFT_TO_HOME

    public static final EndReasonType LEFT_TO_HOME

  - ### TEMPORARY_ABSENCE_MORE_THAN_72_H

    public static final EndReasonType TEMPORARY_ABSENCE_MORE_THAN_72_H

  - ### OTHER_REASON

    public static final EndReasonType OTHER_REASON

- ## Method Details

  - ### values

    public static EndReasonType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static EndReasonType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    Gets the value associated to the enum constant.
    Returns:
      The value linked to the enum.

  - ### fromValue

    public static EndReasonType fromValue(String v)
    Gets the enum associated to the value passed as parameter.
    Parameters:
      `v` - The value to get the enum from.
    Returns:
      The enum which corresponds to the value, if it exists.
    Throws:
      `IllegalArgumentException` - If no value matches in the enum declaration.